Package com.smartgwt.client.widgets

# Class Splitbar

java.lang.Object
com.google.gwt.user.client.ui.UIObject
com.google.gwt.user.client.ui.Widget
com.smartgwt.client.widgets.BaseWidget
com.smartgwt.client.widgets.Canvas
com.smartgwt.client.widgets.StatefulCanvas
com.smartgwt.client.widgets.StretchImg
com.smartgwt.client.widgets.Splitbar

All Implemented Interfaces:
  `HasAttachHandlers`, `HasHandlers`, `EventListener`, `HasVisibility`, `IsWidget`, `LogicalStructure`, `HasClearHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasDragMoveHandlers`, `HasDragRepositionMoveHandlers`, `HasDragRepositionStartHandlers`, `HasDragRepositionStopHandlers`, `HasDragResizeMoveHandlers`, `HasDragResizeStartHandlers`, `HasDragResizeStopHandlers`, `HasDragStartHandlers`, `HasDragStopHandlers`, `HasDropHandlers`, `HasDropMoveHandlers`, `HasDropOutHandlers`, `HasDropOverHandlers`, `HasFocusChangedHandlers`, `HasHoverHandlers`, `HasHoverHiddenHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseStillDownHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasMovedHandlers`, `HasParentMovedHandlers`, `HasResizedHandlers`, `HasRightMouseDownHandlers`, `HasRuleContextChangedHandlers`, `HasScrolledHandlers`, `HasShowContextMenuHandlers`, `HasVisibilityChangedHandlers`

Direct Known Subclasses:
  `Snapbar`

public class Splitbar extends StretchImg
Resize bar for use in `Layouts`, based on the `StretchImg` class. As with the `ImgSplitbar` class, widgets of this class can be displayed as a resize-bar for widgets in Layouts where showResizeBar is set to true. Provides a different appearance from the `ImgSplitbar` class.

To specify the resizeBar class for some layout, use the `Layout.resizeBarClass` property.

On mobile devices, you may find that you need to increase the breadth of the bar to make interacting with it easier (e.g. dragging or tapping). For `Layout` resize bars, this can be done by setting `Layout.resizeBarSize`.

See Also:
  - `Layout`
  - `ImgSplitbar`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

  `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

  `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

  ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

  `DEBUG_ID_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Splitbar()`
  `Splitbar(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `protected JavaScriptObject`
  `create()`
  `boolean`
  `getCanCollapse()`
  If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
  `boolean`
  `getCanCollapseOnTap()`
  If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`?
  `Boolean`
  `getCanDrag()`
  `canDrag` set to true to allow dragging of the split bar.
  `Cursor`
  `getCursor()`
  Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
  `Integer`
  `getGripBreadth()`
  Grip breadth in pixels (the short icon axis, parallel to the Layout direction).
  `String`
  `getGripImgSuffix()`
  Suffix used the 'grip' image if `StretchImg.showGrip` is true.
  `Integer`
  `getGripLength()`
  Grip length in pixels (the long icon axis, perpendicular to the Layout direction).
  `Cursor`
  `getHResizeCursor()`
  Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
  `String`
  `getHSrc()`
  Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
  `boolean`
  `getInvertClosedGripIfTargetAfter()`
  If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
  `LogicalStructureObject`
  `getLogicalStructure()`
  Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `static Splitbar`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowClosedGrip()`
  If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
  `Boolean`
  `getShowDownGrip()`
  If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
  `Boolean`
  `getShowGrip()`
  Should we show a "grip" image floating above the center of this widget?
  `Boolean`
  `getShowRollOverGrip()`
  If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
  `String`
  `getSrc()`
  The base URL for the image.
  `Canvas`
  `getTarget()`
  When a `Splitbar` is created by a layout, the `target` property of the Splitbar will be a pointer to the member for which it is acting as a resizeBar.
  `Boolean`
  `getTargetAfter()`
  Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
  `Boolean`
  `getVertical()`
  Is this split bar vertically orientated?
  When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.
  `Cursor`
  `getVResizeCursor()`
  Cursor to display if this Splitbar is to be used for vertical resize of widgets.
  `String`
  `getVSrc()`
  Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
  `Splitbar`
  `setCanCollapse(boolean canCollapse)`
  If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space.
  `Splitbar`
  `setCanCollapseOnTap(boolean canCollapseOnTap)`
  If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`?
  `Splitbar`
  `setCanDrag(Boolean canDrag)`
  `canDrag` set to true to allow dragging of the split bar.
  `Splitbar`
  `setCursor(Cursor cursor)`
  Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize.
  `static void`
  `setDefaultProperties(Splitbar splitbarProperties)`
  Class level method to set the default properties of this class.
  `Splitbar`
  `setGripBreadth(Integer gripBreadth)`
  Grip breadth in pixels (the short icon axis, parallel to the Layout direction).
  `Splitbar`
  `setGripImgSuffix(String gripImgSuffix)`
  Suffix used the 'grip' image if `StretchImg.showGrip` is true.
  `Splitbar`
  `setGripLength(Integer gripLength)`
  Grip length in pixels (the long icon axis, perpendicular to the Layout direction).
  `Splitbar`
  `setHResizeCursor(Cursor hResizeCursor)`
  Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
  `Splitbar`
  `setHSrc(String hSrc)`
  Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
  `Splitbar`
  `setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)`
  If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).
  `LogicalStructureObject`
  `setLogicalStructure(SplitbarLogicalStructure s)`
  Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
  `Splitbar`
  `setShowClosedGrip(Boolean showClosedGrip)`
  If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden.
  `Splitbar`
  `setShowDownGrip(Boolean showDownGrip)`
  If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget.
  `Splitbar`
  `setShowGrip(Boolean showGrip)`
  Should we show a "grip" image floating above the center of this widget?
  `Splitbar`
  `setShowRollOverGrip(Boolean showRollOverGrip)`
  If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget.
  `Splitbar`
  `setSrc(String src)`
  The base URL for the image.
  `Splitbar`
  `setTargetAfter(Boolean targetAfter)`
  Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
  `Splitbar`
  `setVResizeCursor(Cursor vResizeCursor)`
  Cursor to display if this Splitbar is to be used for vertical resize of widgets.
  `Splitbar`
  `setVSrc(String vSrc)`
  Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.

  ### Methods inherited from class com.smartgwt.client.widgets.StretchImg

  `getCapSize, getIgnoreRTL, getImageType, getItemBaseStyle, getItems, getShowTitle, setCapSize, setDefaultProperties, setIgnoreRTL, setImageType, setItemBaseStyle, setItems, setLogicalStructure, setShowTitle, setState, setState, setVertical`

  ### Methods inherited from class com.smartgwt.client.widgets.StatefulCanvas

  `addToRadioGroup, deselect, getActionType, getAlign, getAriaLabel, getAriaStateDefaults, getAutoFit, getBaseStyle, getEditProxyConstructor, getHeight, getHeightAsString, getIcon, getIconHeight, getIconOrientation, getIconSize, getIconStyle, getIconWidth, getLabelHPad, getLabelVPad, getOverCanvas, getOverCanvasConstructor, getRadioGroup, getRedrawOnStateChange, getSelected, getShowDisabled, getShowDisabledIcon, getShowDown, getShowDownIcon, getShowFocused, getShowFocusedAsOver, getShowFocusedIcon, getShowMenuOnClick, getShowOverCanvas, getShowRollOver, getShowRollOverIcon, getShowRTLIcon, getShowSelectedIcon, getState, getStateSuffix, getStyleName, getTitle, getValign, getVIconStyle, getWidth, getWidthAsString, isSelected, removeFromRadioGroup, removeFromRadioGroup, select, setActionType, setAlign, setAriaLabel, setAutoFit, setBaseStyle, setDefaultProperties, setEditProxyConstructor, setHeight, setHeight, setIcon, setIconHeight, setIconOrientation, setIconSize, setIconStyle, setIconWidth, setLabelHPad, setLabelVPad, setLogicalStructure, setOverCanvasConstructor, setRadioGroup, setRedrawOnStateChange, setSelected, setShowDisabled, setShowDisabledIcon, setShowDown, setShowDownIcon, setShowFocused, setShowFocusedAsOver, setShowFocusedIcon, setShowMenuOnClick, setShowOverCanvas, setShowRollOver, setShowRollOverIcon, setShowRTLIcon, setShowSelectedIcon, setState, setStyleName, setTitle, setTitleFormatter, setTitleStyle, setValign, setVIconStyle, setWidth, setWidth`

  ### Methods inherited from class com.smartgwt.client.widgets.Canvas

  `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, contentsComponentConnected, dataContextChanged, deparent, depeer, disable, doValueDictation, doVoiceCommand, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAllCanvases, getAllCanvases, getAllCanvases, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoRevertStyles, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanDropContent, getCanDropFiles, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenAsStringArray, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getChildTabPosition, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContentsComponentDefaults, getContextMenu, getCorrectZoomOverflow, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDeferActionConversion, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getEvents, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getOverflow, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentCanvasAsString, getParentElement, getParentElementAsString, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowFocusOutline, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSingleDiv, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getTopLevelComponents, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseGeneratedStyles, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, onInit, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, resolveContentsComponent, revealChild, revealChild, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoRevertStyles, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanDropContent, setCanDropFiles, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContentsComponentDefaults, setContextMenu, setCorrectZoomOverflow, setDataContext, setDataPath, setDefaultHeight, setDefaultNativeAutoHideScrollbars, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDeferActionConversion, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setOverflow, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentCanvas, setParentElement, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowFocusOutline, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSingleDiv, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseGeneratedStyles, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startDebuggingOverflow, stopDebuggingOverflow, supportsValueDictation, supportsVoiceCommands, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

  ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

  `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAutoDraw, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoDraw, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

  ### Methods inherited from class com.google.gwt.user.client.ui.Widget

  `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

  ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

  `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### Splitbar

    public Splitbar()

  - ### Splitbar

    public Splitbar(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static Splitbar getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### create

    protected JavaScriptObject create()
    Overrides:
      `create` in class `StretchImg`

  - ### setCanCollapse

    public Splitbar setCanCollapse(boolean canCollapse)
    If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at its normal size).

    Note that on touch devices, to enable collapsing/uncollapsing the `target` in response to a tap, `canCollapseOnTap` must be set to `true`.

    Parameters:
      `canCollapse` - New canCollapse value. Default value is true
    Returns:
      `Splitbar` instance, for chaining setter calls

  - ### getCanCollapse

    public boolean getCanCollapse()
    If this property is true, a click on the Splitbar will collapse its `target`, hiding it and shifting the Splitbar and other members of the layout across to fill the newly available space. If the target is already hidden a click will expand it again (showing it at its normal size).

    Note that on touch devices, to enable collapsing/uncollapsing the `target` in response to a tap, `canCollapseOnTap` must be set to `true`.

    Returns:
      Current canCollapse value. Default value is true

  - ### setCanCollapseOnTap

    public Splitbar setCanCollapseOnTap(boolean canCollapseOnTap)
    If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`?
    Parameters:
      `canCollapseOnTap` - New canCollapseOnTap value. Default value is true
    Returns:
      `Splitbar` instance, for chaining setter calls

  - ### getCanCollapseOnTap

    public boolean getCanCollapseOnTap()
    If `canCollapse` is `true`, should a tap result in collapsing/uncollapsing the `target`?
    Returns:
      Current canCollapseOnTap value. Default value is true

  - ### setCanDrag

    public Splitbar setCanDrag(Boolean canDrag)
    `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
    Overrides:
      `setCanDrag` in class `Canvas`
    Parameters:
      `canDrag` - New canDrag value. Default value is true
    Returns:
      `Splitbar` instance, for chaining setter calls
    See Also:
      - `Drag and Drop`
      - Drag create Example

  - ### getCanDrag

    public Boolean getCanDrag()
    `canDrag` set to true to allow dragging of the split bar. Dragging the Splitbar will resize it's `target`
    Overrides:
      `getCanDrag` in class `Canvas`
    Returns:
      Current canDrag value. Default value is true
    See Also:
      - `Drag and Drop`
      - Drag create Example

  - ### setCursor

    public Splitbar setCursor(Cursor cursor)
    Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
    Overrides:
      `setCursor` in class `Canvas`
    Parameters:
      `cursor` - New cursor value. Default value is "hand"
    Returns:
      `Splitbar` instance, for chaining setter calls
    See Also:
      - `Cues overview and related methods`
      - Drag create Example
      - Cursors Example

  - ### getCursor

    public Cursor getCursor()
    Splitbars' cursors are set at init time based on whether they are to be used for vertical or horizontal resize. To customize the cursor for this class, modify `vResizeCursor` or `hResizeCursor` rather than this property.
    Overrides:
      `getCursor` in class `Canvas`
    Returns:
      Current cursor value. Default value is "hand"
    See Also:
      - `Cues overview and related methods`
      - Drag create Example
      - Cursors Example

  - ### setGripBreadth

    public Splitbar setGripBreadth(Integer gripBreadth) throws IllegalStateException
    Grip breadth in pixels (the short icon axis, parallel to the Layout direction).

    If unset, grip will assume the natural breadth of image.

    Parameters:
      `gripBreadth` - New gripBreadth value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getGripBreadth

    public Integer getGripBreadth()
    Grip breadth in pixels (the short icon axis, parallel to the Layout direction).

    If unset, grip will assume the natural breadth of image.

    Returns:
      Current gripBreadth value. Default value is null

  - ### setGripImgSuffix

    public Splitbar setGripImgSuffix(String gripImgSuffix) throws IllegalStateException
    Suffix used the 'grip' image if `StretchImg.showGrip` is true.

    Note : This is an advanced setting

    Overrides:
      `setGripImgSuffix` in class `StretchImg`
    Parameters:
      `gripImgSuffix` - New gripImgSuffix value. Default value is "grip"
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getGripImgSuffix

    public String getGripImgSuffix()
    Suffix used the 'grip' image if `StretchImg.showGrip` is true.
    Overrides:
      `getGripImgSuffix` in class `StretchImg`
    Returns:
      Current gripImgSuffix value. Default value is "grip"

  - ### setGripLength

    public Splitbar setGripLength(Integer gripLength) throws IllegalStateException
    Grip length in pixels (the long icon axis, perpendicular to the Layout direction).

    If unset, grip will assume the natural length of image.

    Parameters:
      `gripLength` - New gripLength value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getGripLength

    public Integer getGripLength()
    Grip length in pixels (the long icon axis, perpendicular to the Layout direction).

    If unset, grip will assume the natural length of image.

    Returns:
      Current gripLength value. Default value is null

  - ### setHResizeCursor

    public Splitbar setHResizeCursor(Cursor hResizeCursor) throws IllegalStateException
    Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    Parameters:
      `hResizeCursor` - New hResizeCursor value. Default value is "col-resize"
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getHResizeCursor

    public Cursor getHResizeCursor()
    Cursor to display if this Splitbar is to be used for horizontal resize of widgets.
    Returns:
      Current hResizeCursor value. Default value is "col-resize"

  - ### setHSrc

    public Splitbar setHSrc(String hSrc) throws IllegalStateException
    Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
    Overrides:
      `setHSrc` in class `StretchImg`
    Parameters:
      `hSrc` - New hSrc value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `StretchImg.setSrc(java.lang.String)`
      - `StretchImg.setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getHSrc

    public String getHSrc()
    Base URL for the image if `StretchImg.vertical` is false and `StretchImg.src` is unset.
    Overrides:
      `getHSrc` in class `StretchImg`
    Returns:
      Current hSrc value. Default value is null
    See Also:
      - `StretchImg.getSrc()`
      - `StretchImg.getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### setInvertClosedGripIfTargetAfter

    public Splitbar setInvertClosedGripIfTargetAfter(boolean invertClosedGripIfTargetAfter)
    If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

    This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

    Note : This is an advanced setting

    Parameters:
      `invertClosedGripIfTargetAfter` - New invertClosedGripIfTargetAfter value. Default value is true
    Returns:
      `Splitbar` instance, for chaining setter calls

  - ### getInvertClosedGripIfTargetAfter

    public boolean getInvertClosedGripIfTargetAfter()
    If `showClosedGrip` is true, and `targetAfter` is true should we show the "closed" state for the grip when the target is visible (rather than when it is hidden).

    This property is useful for the case where the grip media is a simple directional arrow. The same image can be used for expanded state on one side of the bar or collapsed state on the other.

    Returns:
      Current invertClosedGripIfTargetAfter value. Default value is true

  - ### setShowClosedGrip

    public Splitbar setShowClosedGrip(Boolean showClosedGrip) throws IllegalStateException
    If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.

    Note : This is an advanced setting

    Parameters:
      `showClosedGrip` - New showClosedGrip value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowClosedGrip

    public Boolean getShowClosedGrip()
    If `showGrip` is true, this property determines whether the grip image displayed should show the `"Closed"` state when the `target` is hidden. Note that if `invertClosedGripIfTargetAfter` is true, we may show the "closed" state when the target is visible, rather than when it is hidden.
    Returns:
      Current showClosedGrip value. Default value is null

  - ### setShowDownGrip

    public Splitbar setShowDownGrip(Boolean showDownGrip) throws IllegalStateException
    If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.

    Note : This is an advanced setting

    Overrides:
      `setShowDownGrip` in class `StretchImg`
    Parameters:
      `showDownGrip` - New showDownGrip value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowDownGrip

    public Boolean getShowDownGrip()
    If `StretchImg.showGrip` is true, this property determines whether to show the 'Down' state on the grip image when the user mousedown's on this widget. Has no effect if `StatefulCanvas.showDown` is false.
    Overrides:
      `getShowDownGrip` in class `StretchImg`
    Returns:
      Current showDownGrip value. Default value is null

  - ### setShowGrip

    public Splitbar setShowGrip(Boolean showGrip) throws IllegalStateException
    Should we show a "grip" image floating above the center of this widget?

    Note : This is an advanced setting

    Overrides:
      `setShowGrip` in class `StretchImg`
    Parameters:
      `showGrip` - New showGrip value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowGrip

    public Boolean getShowGrip()
    Should we show a "grip" image floating above the center of this widget?
    Overrides:
      `getShowGrip` in class `StretchImg`
    Returns:
      Current showGrip value. Default value is null

  - ### setShowRollOverGrip

    public Splitbar setShowRollOverGrip(Boolean showRollOverGrip) throws IllegalStateException
    If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.

    Note : This is an advanced setting

    Overrides:
      `setShowRollOverGrip` in class `StretchImg`
    Parameters:
      `showRollOverGrip` - New showRollOverGrip value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getShowRollOverGrip

    public Boolean getShowRollOverGrip()
    If `StretchImg.showGrip` is true, this property determines whether to show the 'Over' state on the grip image when the user rolls over on this widget. Has no effect if `StatefulCanvas.showRollOver` is false.
    Overrides:
      `getShowRollOverGrip` in class `StretchImg`
    Returns:
      Current showRollOverGrip value. Default value is null

  - ### setSrc

    public Splitbar setSrc(String src) throws IllegalStateException
    The base URL for the image.

    The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

    For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

    Overrides:
      `setSrc` in class `StretchImg`
    Parameters:
      `src` - New src value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `StretchImg.setHSrc(java.lang.String)`
      - `StretchImg.setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getSrc

    public String getSrc()
    The base URL for the image.

    The `State` for the component will be combined with this URL using the same approach as described in `Img.src`. Then the image segment `name` as specified by each `StretchItem` is added.

    For example, for a stretchImg in "Over" state with a `src` of "button.png" and a segment name of "stretch", the resulting URL would be "button_Over_stretch.png".

    Overrides:
      `getSrc` in class `StretchImg`
    Returns:
      Current src value. Default value is null
    See Also:
      - `StretchImg.getHSrc()`
      - `StretchImg.getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getTarget

    public Canvas getTarget() throws IllegalStateException
    When a `Splitbar` is created by a layout, the `target` property of the Splitbar will be a pointer to the member for which it is acting as a resizeBar. The Splitbar will be positioned next to its target, and will resize it on drag completion.

    See `Layout.resizeBarClass`, `Canvas.showResizeBar` and `Canvas.resizeBarTarget` for details on configuring the resize bars shown in Layouts.

    Note : This method should be called only after the widget has been rendered.

    Returns:
      Current target value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.

  - ### setTargetAfter

    public Splitbar setTargetAfter(Boolean targetAfter)
    Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.

    Note : This is an advanced setting

    Parameters:
      `targetAfter` - New targetAfter value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    See Also:
      - `setInvertClosedGripIfTargetAfter(boolean)`

  - ### getTargetAfter

    public Boolean getTargetAfter()
    Is the `target` being shown before or after the bar? This property is automatically populated for `splitbar`s created by a layout.
    Returns:
      Current targetAfter value. Default value is null
    See Also:
      - `getInvertClosedGripIfTargetAfter()`

  - ### getVertical

    public Boolean getVertical() throws IllegalStateException
    Is this split bar vertically orientated?
    When a `Splitbar` is created by a layout to be the resizeBar for some member of the layout, the `vertical` property will be set to `true` if the layout is horizontal, meaning this resizeBar will be taller than it is wide, and will allow horizontal resizing of the member.

    Note : This method should be called only after the widget has been rendered.

    Overrides:
      `getVertical` in class `StretchImg`
    Returns:
      Current vertical value. Default value is null
    Throws:
      `IllegalStateException` - if this widget has not yet been rendered.
    See Also:
      - `Appearance overview and related methods`

  - ### setVResizeCursor

    public Splitbar setVResizeCursor(Cursor vResizeCursor) throws IllegalStateException
    Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    Parameters:
      `vResizeCursor` - New vResizeCursor value. Default value is "row-resize"
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created

  - ### getVResizeCursor

    public Cursor getVResizeCursor()
    Cursor to display if this Splitbar is to be used for vertical resize of widgets.
    Returns:
      Current vResizeCursor value. Default value is "row-resize"

  - ### setVSrc

    public Splitbar setVSrc(String vSrc) throws IllegalStateException
    Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
    Overrides:
      `setVSrc` in class `StretchImg`
    Parameters:
      `vSrc` - New vSrc value. Default value is null
    Returns:
      `Splitbar` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the component has been created
    See Also:
      - `StretchImg.setSrc(java.lang.String)`
      - `StretchImg.setVSrc(java.lang.String)`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### getVSrc

    public String getVSrc()
    Base URL for the image if `StretchImg.vertical` is true and `StretchImg.src` is unset.
    Overrides:
      `getVSrc` in class `StretchImg`
    Returns:
      Current vSrc value. Default value is null
    See Also:
      - `StretchImg.getSrc()`
      - `StretchImg.getVSrc()`
      - `SCImgURL`
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(Splitbar splitbarProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `splitbarProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`

  - ### setLogicalStructure

    public LogicalStructureObject setLogicalStructure(SplitbarLogicalStructure s)
    Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

  - ### getLogicalStructure

    public LogicalStructureObject getLogicalStructure()
    Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    Specified by:
      `getLogicalStructure` in interface `LogicalStructure`
    Overrides:
      `getLogicalStructure` in class `StretchImg`